<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

    <module name="production" package="com.axelor.apps.production.db"/>

    <entity name="Machine">
        <one-to-many name="operationList" ref="com.axelor.apps.qvm.db.QvmOperation" mappedBy="machineName" title="Operations" />
        <many-to-one name="machineLocation" ref="com.axelor.apps.qvm.db.QvmMachineLocation" title="Machine Location"/>
        <string  name="model" title="Model"/>
        <string  name="machineId" title="ID"/>
        <integer name="typeSelect" title="Type Select" default="0"/>
        <integer name="machineOperationType" selection="operation.machine.type.status.select" default="1"/>
        <string  name="note" title="Note"/>
        <string name="fullName" namecolumn="true">
            <![CDATA[
	  		return machineId+" "+name;
	  	]]>
        </string>
    </entity>
</domain-models>
